Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

PDO Not Connect

Discussion in 'EasyApache' started by mauroya33, Dec 2, 2016.

  1. mauroya33

    mauroya33 Registered

    Joined:
    Dec 2, 2016
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    chile
    cPanel Access Level:
    Root Administrator
    PDO no connect and this is my configuration

    Code:
    root@dedicado [/usr/local/lib]# /usr/local/cpanel/3rdparty/bin/php -i | grep -i pdo
    Configure Command =>  './configure'  '--build=i686-redhat-linux-gnu' '--host=i686-redhat-linux-gnu' '--target=i386-redhat-linux-gnu' '--program-prefix=' '--exec-prefix=/usr/local/cpanel/3rdparty/php/54' '--bindir=/usr/local/cpanel/3rdparty/php/54/bin' '--sbindir=/usr/local/cpanel/3rdparty/php/54/sbin' '--sysconfdir=/usr/local/cpanel/3rdparty/php/54/etc' '--datadir=/usr/local/cpanel/3rdparty/php/54/share' '--includedir=/usr/local/cpanel/3rdparty/php/54/include' '--libdir=/usr/local/cpanel/3rdparty/php/54/lib' '--libexecdir=/usr/local/cpanel/3rdparty/php/54/libexec' '--localstatedir=/var' '--sharedstatedir=/usr/local/cpanel/3rdparty/php/54/com' '--mandir=/usr/local/cpanel/3rdparty/php/54/share/man' '--infodir=/usr/local/cpanel/3rdparty/php/54/share/info' '--prefix=/usr/local/cpanel/3rdparty/php/54' '--with-libdir=lib' '--verbose' '--enable-static' '--with-mcrypt=/usr/local/cpanel/3rdparty' '--with-iconv' '--enable-mbstring' '--with-gd' '--enable-mbregex' '--with-imap-ssl' '--with-imap=/usr/local/cpanel/3rdparty/lib/imap/' '--enable-ftp' '--with-gettext' '--with-libxml-dir=/usr/local/cpanel/3rdparty' '--enable-sockets' '--enable-cgi' '--with-mysql=/usr/local/cpanel/3rdparty' '--with-pdo-mysql=/usr/local/cpanel/3rdparty' '--with-mysql-sock=/var/lib/mysql/mysql.sock' '--with-mysqli=/usr/local/cpanel/3rdparty/bin/mysql_config' '--with-pgsql=/usr/local/cpanel/3rdparty' '--with-pdo-pgsql=/usr/local/cpanel/3rdparty' '--with-openssl=/usr' '--with-kerberos=/usr' '--with-curl=/usr' '--with-curlwrappers' '--with-tidy=/usr/local/cpanel/3rdparty' '--with-config-file-path=/usr/local/cpanel/3rdparty/php/54/etc' '--with-jpeg-dir=/usr' '--with-png-dir=/usr' '--with-xpm-dir=/usr' '--with-pcre-regex=/usr/local/cpanel/3rdparty' '--with-freetype-dir=/usr/local/cpanel/3rdparty' '--with-bz2=/usr' '--enable-zip' '--with-zlib' '--with-zlib-dir=/usr' '--enable-soap' '--with-pear' '--enable-bcmath'
    PDO
    PDO support => enabled
    PDO drivers => mysql, pgsql, sqlite
    pdo_mysql
    PDO Driver for MySQL => enabled
    pdo_mysql.default_socket => /var/lib/mysql/mysql.sock => /var/lib/mysql/mysql.sock
    pdo_pgsql
    PDO Driver for PostgreSQL => enabled
    pdo_sqlite
    PDO Driver for SQLite 3.x => enabled
    root@dedicado [/usr/local/lib]#
    
    
    but not connect

    upgrade to 5.6
     
    #1 mauroya33, Dec 2, 2016
    Last edited by a moderator: Dec 2, 2016
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,442
    Likes Received:
    1,961
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    Could you provide some more information about the script or plugin you are using? For instance, you posted output from the internal cPanel PHP. Is this a custom plugin you are developing for cPanel, or are you attempting to utilize PDO for the version of PHP utilized for your websites?

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    mauroya33 likes this.
  3. mauroya33

    mauroya33 Registered

    Joined:
    Dec 2, 2016
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    chile
    cPanel Access Level:
    Root Administrator
    Thank you for your resp

    I am upggrade CPANEL and APACHE and PHP and mysql With EAsyUpdate
     
  4. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,442
    Likes Received:
    1,961
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    Please post the output from the following commands:

    Code:
    cat /usr/local/cpanel/version
    /scripts/easyapache --version
    This will help us to determine the cPanel version, and if you are using EasyApache 3, or EasyApache 4.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice